function [ PSNRY,PSNRU,PSNRV,MSEY,MSEU,MSEV , Ym] = compare(vMY, vMU, vMV, camFileNameMiddle, width, height, numFrames, fNo, startFrom )
% Comapres the virtual view with orignal cmaera view
[Ym, Um, Vm] = yuv_import(camFileNameMiddle, [width height], numFrames, startFrom);
% figure, imshow(uint8(yuv2rgb(Ym{fNo}, Um{fNo}, Vm{fNo}))); title('Original middle view');

% PSNRY = zeros(numFrames,1);PSNRU = zeros(numFrames,1);PSNRV = zeros(numFrames,1);
% MSEY = zeros(numFrames,1);MSEU = zeros(numFrames,1);MSEV = zeros(numFrames,1);

%     [Y1, U1, V1] = yuv_import(yuvfile1,dims,1,frames1(i)-1);
    %if (numel(Y1{1}) ~= prod(frm))
    % break;
    %end; %there's no more frames in the sequence 1
%     [Y2, U2, V2] = yuv_import(yuvfile2,dims,1,frames2(i)-1);
    %if (numel(Y2{1}) ~= prod(frm))
    % break;
    %end; %there's no more frames in the sequence 2
    [MSEY,PSNRY] = iq_measures(vMY,Ym{fNo});
    [MSEU,PSNRU] = iq_measures(vMU,Um{fNo});
    [MSEV,PSNRV] = iq_measures(vMV,Vm{fNo}); 
    
end

